Subject: Re: bug#34951: [PATCH] grep: a kwset matcher not work in a grep matcher

From: Paul Eggert <[email-masked]>
Date: Mon, 16 Dec 2019 01:56:12 -0800

On 12/15/19 12:14 AM, [email-masked] wrote:

> int64_t is just as standard as ptrdiff_t and just as clear.

Actually, int64_t is optional (as even C18 and POSIX-2018 do not require it),
whereas ptrdiff_t has been required since C89. More importantly, int64_t would
be overkill on 32-bit GNU/Linux, whereas ptrdiff_t suffices and is typically
more efficient.

(Besides, what would we do if 72-bit pointers came back into vogue? :-)